跳转到内容

概览

  • Version: 2.0
  • 服务器https://api.xsolla.com/merchant/v2/

本API参考介绍管理订阅、优惠券和促销活动的端点。 如需了解关于订阅的详细信息,请参考产品指南词汇表

下载 OpenAPI 描述
语言
服务器
Mock server
https://xsolla.redocly.app/_mock/zh/api/subscriptions/
操作
操作
操作
操作
操作
操作
操作
操作

请求

安全
subscriptionsManagementJwtAuth
路径
subscription_idinteger\d+必需
project_idinteger\d+必需
查询
limitinteger
offsetinteger
localestring
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/zh/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions/{subscription_id}/plans_for_change?limit=0&offset=0&locale=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

响应

List of available plans for change

正文application/json
has_moreboolean必需
示例: "false"
itemsArray of objects(PlanResponse)
默认值 []
items[].​chargeobject(Charge4)必需
items[].​charge.​amountnumber(float)必需
示例: "4.99"
items[].​charge.​currencystring必需
示例: "USD"
items[].​charge.​setup_feenumber or null(float)
示例: "0.99"
items[].​periodobject(Period4)必需
items[].​period.​unitstring or null
默认值 null
示例: "month"
items[].​period.​valueinteger or null
默认值 null
示例: "1"
items[].​plan_descriptionstring必需
示例: "Localized plan description"
items[].​plan_end_datestring or null(date-time)
示例: "2031-04-11T13:51:02+03:00"
items[].​plan_external_idstring必需
示例: "PlanExternalId"
items[].​plan_group_idstring or null
示例: "TestGroupId"
items[].​plan_idinteger必需
示例: "54321"
items[].​plan_namestring必需
示例: "Localized plan name"
items[].​plan_start_datestring or null(date-time)
示例: "2021-04-11T13:51:02+03:00"
items[].​plan_typestring必需
示例: "all"
items[].​promotionobject(Promotion2)必需
items[].​promotion.​promotion_charge_amountnumber or null(float)
默认值 null
示例: "3.99"
items[].​promotion.​promotion_remaining_chargesinteger or null
默认值 null
示例: "3"
items[].​trial_periodinteger or null
示例: "7"
响应
application/json
{ "has_more": "false", "items": [] }